Package nzilbb.labbcat.server.api.elicit
Class Verify
- java.lang.Object
-
- nzilbb.labbcat.server.api.APIRequestHandler
-
- nzilbb.labbcat.server.api.elicit.Verify
-
public class Verify extends APIRequestHandler
/api/elicit/verify : Verify an elicited transcript upload.Verifies the given transcript was successfull uploaded by a previous call to /api/elicit/upload
Only the GET HTTP method is supported:
- GET
-
- URL parameters :
- transcript_id
- The name of the uploaded transcript.
- Response Body - the standard JSON envelope, with the model as an
object the following attributes:
- transcript_id
- This given transcript ID.
- ag_id
- The database ID of the transcript.
- Response Status
- 200 : Success.
- 400 : Transcript not specified.
- URL parameters :
- Author:
- Robert Fromont
-
-
Field Summary
-
Fields inherited from class nzilbb.labbcat.server.api.APIRequestHandler
SC_BAD_REQUEST, SC_CONFLICT, SC_CREATED, SC_FORBIDDEN, SC_INTERNAL_SERVER_ERROR, SC_METHOD_NOT_ALLOWED, SC_NOT_FOUND, SC_OK, SC_UNAUTHORIZED, SC_UNPROCESSABLE_CONTENT, SC_UNSUPPORTED_MEDIA_TYPE
-
-
Constructor Summary
Constructors Constructor Description Verify()Constructor
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description javax.json.JsonObjectget(RequestParameters requestParameters, Consumer<Integer> httpStatus)The GET method for the servlet.-
Methods inherited from class nzilbb.labbcat.server.api.APIRequestHandler
getContext, GetSystemAttribute, init, writeResponse
-
-
-
-
Method Detail
-
get
public javax.json.JsonObject get(RequestParameters requestParameters, Consumer<Integer> httpStatus)
The GET method for the servlet.- Parameters:
requestParameters- Request parameter map.httpStatus- Receives the response status code, in case of error.- Returns:
- JSON-encoded object representing the response
-
-